<bugID>1388832<Summary>Right-clicking on the Search box within the overflow panel causes 'TypeError: parent.getAttribute is not a function'</Summary><Description>STR:
Add the Search box to the overflow panel
Right-click just outside of the textbox for the search box when the overflow panel is open

Expected:
See a context menu that allows to "Unpin from Overflow Menu"

Actual:
See a context menu that includes "Pin to Overflow Menu" among other confusing entries

This shows up in the Browser Console:
TypeError: parent.getAttribute is not a function browser.js:5483:11
           onViewToolbarsPopupShowing chrome://browser/content/browser.js:5483:11
           onpopupshowing chrome://browser/content/browser.xul:1:1

The line in question is:
&gt; parent.getAttribute("overflowfortoolbar") || // Needs to work in the overflow list as well.

This is at http://searchfox.org/mozilla-central/rev/0f16d437cce97733c6678d29982a6bcad49f817b/browser/base/content/browser.js#5481</Description></bugID>